# Uses of Enum Class
org.apache.solr.client.solrj.response.RequestStatusState

Packages that use RequestStatusState
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of RequestStatusState in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return RequestStatusState
Modifier and Type
Method
Description
`RequestStatusState`
CollectionAdminRequest.RequestStatusResponse.`getRequestStatus()`
`RequestStatusState`
CollectionAdminRequest.AsyncCollectionAdminRequest.`processAndWait(String asyncId, SolrClient client, long timeoutSeconds)`
Send this request to a Solr server, and wait (up to a timeout) for the request to complete or fail
`RequestStatusState`
CollectionAdminRequest.AsyncCollectionAdminRequest.`processAndWait(SolrClient client, long timeoutSeconds)`
Send this request to a Solr server, and wait (up to a timeout) for the request to complete or fail
`RequestStatusState`
CollectionAdminRequest.RequestStatus.`waitFor(SolrClient client, long timeoutSeconds)`
Wait until the asynchronous request is either completed or failed, up to a timeout

## Uses of RequestStatusState in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return RequestStatusState
Modifier and Type
Method
Description
`static RequestStatusState`
RequestStatusState.`fromKey(String key)`
Resolves a key that was returned from `getKey()` to a `RequestStatusState`.
`static RequestStatusState`
RequestStatusState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RequestStatusState[]`
RequestStatusState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.